2018-07-16 04:51 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004464Kali Linux[All Projects] General Bugpublic2018-01-15 14:31
Reporterpkreuzt 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version 
Summary0004464: update to linux-image-4.14.0-kali3 breaks dkms-bbswitch and nvidia-legacy-340xx
DescriptionDKMS fails at building both kernel modules, with following error (skipped not relevant part):

/usr/src/linux-headers-4.14.0-kali3-common/Makefile:947: *** "Cannot generate ORC metadata for CONFIG_UNWINDER_ORC=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel". Stop.
Steps To ReproduceIt needs to have some of this DKMS modules installed. Simply update kernel.
Additional InformationAs the error suggests, it's easily corrected installing libelf-dev, so this package should be marked as new dependency. With this installed, DKMS runs well.
Attached Files

-Relationships
has duplicate 0004473closedrhertzog Virtualbox 
+Relationships

-Notes

~0007782

sbrun (manager)

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=886474

~0007798

rhertzog (administrator)

I have uploaded a new linux package that adds the libelf-dev dependency on linux-headers-*. It's version 4.14.12-2kali2 that should be available soon.

~0007808

rhertzog (administrator)

linux-headers-* 4.14.12-2kali2 are now in kali-rolling, this problem should be fixed when you have a fully up-to-date system.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-09 17:59 pkreuzt New Issue
2018-01-10 07:55 sbrun Assigned To => sbrun
2018-01-10 07:55 sbrun Status new => confirmed
2018-01-10 07:55 sbrun Note Added: 0007782
2018-01-12 12:58 rhertzog Note Added: 0007798
2018-01-13 08:53 rhertzog Relationship added has duplicate 0004473
2018-01-13 08:54 rhertzog Assigned To sbrun => rhertzog
2018-01-13 08:54 rhertzog Status confirmed => closed
2018-01-13 08:54 rhertzog Resolution open => fixed
2018-01-13 08:54 rhertzog Note Added: 0007808
2018-01-15 14:31 rhertzog Status closed => resolved
+Issue History